API Channel
Report delivery status for outbound message
messageId correlates to the id returned in the outbound callback response, if one was supplied.
POST
/
v1
/
channels
/
api
/
delivery-status
Report delivery status for outbound message
curl --request POST \
--url https://app.chatbotx.io/api/v1/channels/api/delivery-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageId": "<string>",
"timestamp": "<string>",
"error": "<unknown>"
}
'import requests
url = "https://app.chatbotx.io/api/v1/channels/api/delivery-status"
payload = {
"messageId": "<string>",
"timestamp": "<string>",
"error": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({messageId: '<string>', timestamp: '<string>', error: '<unknown>'})
};
fetch('https://app.chatbotx.io/api/v1/channels/api/delivery-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Id of the message being reported on, echoed back from the outbound callback.
Minimum string length:
1Delivery outcome for the message.
Available options:
delivered, failed, read When the status change occurred.
Provider error details, present when status is failed.
Response
OK
The response is of type any.
Was this page helpful?
⌘I
Report delivery status for outbound message
